#include "http.h"

const char http_404[] = "HTTP/1.1 404 Not Found\n"
                        "Content-Length: 0\n\n";
const size_t http_404_len = sizeof(http_404) - 1;

const char http_405[] = "HTTP/1.1 405 Method Not Allowed\n"
                        "Content-Length: 0\n\n";
const size_t http_405_len = sizeof(http_405) - 1;

const char http_500[] = "HTTP/1.1 500 Internal Server Error\n"
                        "Content-Length: 0\n\n";
const size_t http_500_len = sizeof(http_500) - 1;
const char http_501[] = "HTTP/1.1 501 Not Implemented\n"
                        "Content-Length: 0\n\n";
const size_t http_501_len = sizeof(http_501) - 1;

// Very important that this is in the same order as http_request_method
const char *request_method_names[] = {"GET", "POST", "PUT", "PATCH", "DELETE"};
const size_t request_method_names_len =
    sizeof(request_method_names) / sizeof(request_method_names[0]);
